<chapter id="installation">
<title
>Instalación </title>

<epigraph>
<attribution
>Linus Torvalds, after finding one of his file systems smashed by a
new Beta kernel</attribution>
<para
>El volcado de memoria de fsck me suele poner nervioso</para>
</epigraph>

<para
>No se preocupe. Aunque el uso de software beta puede ocasionarle bastante pesar, es improbable que la instalación de KDE destruya su disco duro. De hecho este capítulo está diseñado para guiarle a través del proceso de instalación de modo que pueda echar un vistazo a su nuevo escritorio tan pronto (y con el menor pesar) como sea posible. Como todas las instalaciones de todos los administradores de ventanas, es conveniente realizar una copia de seguridad de todos los archivos de configuración especificos de X11 antes de comenzar la instalación. Si no conoce su dirección exacta, trate de ver los archivos ocultos (<filename
>.*</filename
>) en su directorio personal y en el directorio <filename
>/usr/X11/lib/X11/xdm</filename
>. </para
> 

<sect1 id="requirements">
<title
>Requisitos </title>

<para
>Antes de instalar KDE, asegurese de que su sistema cumple los siguientes requisitos: </para>

<itemizedlist
> <listitem
><para
>Un sistema UNIX compatible POSIX. Los UNIXes que se sabe que funcionan con KDE son: Linux, FreeBSD, Solaris, HP-UX, y MkLinux. Estamos trabajando para que KDE esté disponible pronto en más plataformas. </para
></listitem
> <listitem
><para
>Algo de espacio libre en la partición del disco donde se cree el directorio <filename
>/opt/kde</filename
>. Recomendamos reservar aproximadamente 50MB si su sistema soporta bibliotecas compartidas, y un espacio considerablemente mayor si no lo hace. Si necesita o quiere crear KDE desde el arbol fuente, por favor recuerde que debe reservar aproximadamente 100MB en <filename
>/usr/src</filename
>.</para
></listitem
> <listitem
><para
>Un sistema X11 operativo con o sin <application
>xdm</application
>. Si todavía no ha instalado el sistema de ventanas X, primero compruebe que existe una versión instalable en el soporte de su instalación UNIX. Si no puede encontrar una versión que funcione, visite <ulink url="http://www.xfree86.org"
>la web de XFree86</ulink
> para obtener más información sobre como conseguir e instalar un sistema de ventanas X, o pongase en contacto con el departamento de soporte de su vendedor UNIX. </para
></listitem
> <listitem
><para
>La versión 3.0.2 de las bibliotecas Qt. Se pueden conseguir en el <ulink url="ftp.trolltech.com/qt"
>servidor FTP de Troll Tech</ulink
> en formato rpm y tgz. </para
> </listitem
> </itemizedlist>

<warning
><para
>Una advertencia antes de comenzar: Antes de actualizarse desde una versión previa de KDE, recomendamos que haga lo siguiente:</para>

<screen
> 
<command
>cd <filename
>/opt/kde</filename
></command
> 
<command
>tar <option
>cfvz <replaceable
>~/KDE-version-antigua-backup.tar.gz</replaceable
> * </option
></command>
</screen>
</warning>

</sect1>

<sect1 id="linux-installing-rpms">
<title
>Linux: instalando RPMs para RedHat, Caldera y SuSE.</title>

<para
>Utilizar RPMs es el método más sencillo de conseguir instalar KDE. Simplemente acceda a su réplica preferida del servidor KDE y visite el directorio <filename
>/pub/kde/stable/distribution/rpm</filename
>.  Allí, puede ver directorios para diferentes sistemas operativos. Actualmente, las arquitecturas soportadas son la i386, alpha y sparc. Los paquetes RPM también se pueden encontrar en los lugares de software opcional de Red Hat como sunsite.unc.edu o ftp.redhat.com. </para>

<para
>El sistema básico consiste en los archivos <filename
>kde-<replaceable
>componente</replaceable
>.<replaceable
>arquitectura</replaceable
>.rpm</filename
>. Al menos necesita kdesupport, kdelibs y kdebase. Despues de obtener la distribución base, sientase libre para descargar cualquier otro RPM que pueda resultarle práctico </para>

<para
>A continuación, comience instalando el paquete base. Si está instalando KDE por primera vez, utilice </para>

<screen
> 
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdesupport.arch.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdelibs.arch.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdebase.arch.rpm</filename
></userinput>
</screen>
 
<important
><para
>Es importante que estos componentes sean instalados en el orden anterior, y que sean instalados antes que ningún otro componente KDE.</para
></important>

<para
>Si está actualizandose desde una versión previa, intente <screen
> 
<userinput
><command
>rpm</command
> <option
>-Uvh</option
> <filename
>kde-<replaceable
>component</replaceable
>.<replaceable
>arch</replaceable
>.rpm</filename
></userinput>
</screen
> </para>

<para
>Una vez más, el orden indicado más arriba debe preservarse, y los citados componentes deben ser instalados antes que ningún otro componente de KDE.</para>

<para
>Esto desempaquetará la distribución base y la instalará por omisión en <filename
>/opt/kde</filename
>.</para>

<para
>Si la instalación de las paquetes base ha tenido éxito, puede instalar el resto de los paquetes (una vez más, use <option
>-Uvh</option
> en lugar de <option
>-i</option
> para actualizar una versión previa) del mismo modo. </para>

</sect1>

<sect1 id="installing-debian">
<title
>Linux: instalando <acronym
>DEB</acronym
>s para Debian</title>

<para
>La instalación para un sistema Debian es bastante simple también. Sólamente encontrará paquetes de KDE 2.0 para las versiones de Debian 2.2 (conocida como Potato) y 3.0 (conocida como Woody). Aquí se describe como instalar paquetes para Debian 2.2, la versión estable, ya que Debian 3.0 está todavía en fase de desarrollo. Sin embargo, la instalación de ambas versiones, es prácticamente idéntica. La principal diferencia procede del hecho de que KDE está oficialmente incluida en Debian 3.0 y no es necesario especificar una dirección especial para encontrar los paquetes deb para KDE.</para>

<para
>El primer paso consiste en decirle a su sistema dónde puede encontrar los paquetes deb para KDE. La lista de los lugares donde están los paquetes Debian se encuentra en su disco duro, en <filename
>/etc/apt/sources.list</filename
>. Es necesario añadir a dicho archivo la siguiente línea: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
></para>

 
<para
>Ahora es necesario actualizar la base de datos local de los paquetes de modo que su sistema sepa que hay nuevos paquetes disponibles. Introduzca el siguiente comando:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Finalmente instale los componentes base de KDE. Esto se hace introduciendo:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
</screen>
 
<para
>Si desea instalar otros componentes pruebe algunas o todas las opciones siguientes:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

<para
>También le puede interesar instalar su lengua nativa.</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install
kde-i18n-<replaceable
>xx</replaceable
></option
></userinput>
 </screen>
<para
>donde <replaceable
>xx</replaceable
> ha de ser susituido por el código del pais.</para>

<para
>Los archivos de control de algunas aplicaciones KDE serán colocadas en <filename class="directory"
>/etc/kde2</filename
>, los ejecutables irán a <filename class="directory"
>/usr/bin</filename
> y la mayor parte de los archivos auxiliares a <filename class="directory"
>/usr/share</filename
> bajo diferentes directorios. </para>

<para
>Si se está actualizando desde una versión previa de KDE siga los siguientes pasos. Primero, actualize el archivo <filename
>/etc/apt/sources.list</filename
> cambiando la línea que contiene el lugar donde residen los paquetes KDE con la línea:<userinput
>http://kde.tdyc.com/ stable kde2</userinput
>. Después actualize la base de datos de los paquetes:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>update</option
></userinput>
</screen>
 
<para
>Finalmente instale el sistema base de KDE:</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>dist-upgrade</option
></userinput>
</screen>
 
<para
> Si desea instalar más componentes de KDE pruebe algunas o todas las opciones siguientes</para>

<screen>
<userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput>
</screen>

</sect1>

<sect1 id="source-distribution">
<title
>Utilizando la compilación de fuentes para instalar sobre otros sistemas </title>

<para
>Si su distibución Linux no contiene archivos de formato rpm o deb, o no está usando Linux, debe compilar KDE por su cuenta. Para el futuro estamos planeando suministrar una distribución binaria que incluya su propio programa de instalación. </para>

<para
>Para poder compilar e instalar KDE de modo adecuado, es necesario tener instalados los siguientes elementos en el disco duro: </para>

<itemizedlist
> <listitem
><para
>Un compilador ANSI-C, <abbrev
>p.ej.</abbrev
> el compilador C de <abbrev
>GNU</abbrev
>. </para
></listitem
> <listitem
><para
>Un compilador ANSI-C++, <abbrev
>p.ej.</abbrev
> el compilador C++ de <abbrev
>GNU</abbrev
>. </para
></listitem
> <listitem
><para
>La utilidad <application
>make</application
>. </para
></listitem
> <listitem
><para
>La versión de desarrollo 2.2 de Qt o una versión superior.</para
></listitem
> <listitem
><para
>Una versión de desarrollo X11 (incluyendo archivos que frecuentemente faltan) </para
></listitem
> </itemizedlist>

<para
>Una vez que todas las aplicaciones auxiliares estén disponibles, vaya a su replica favorita de KDE y descargue los siguientes archivos del directorio <filename
>/pub/kde/stable/<replaceable
>versión más moderna</replaceable
></filename
>:</para>

<itemizedlist
> <listitem
><para
><filename
>kdesupport-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
><filename
>kdelibs-<replaceable
>version</replaceable
>.tar.gz</filename
> </para
></listitem
> <listitem
><para
><filename
>kdebase-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem
> <listitem
><para
>cualquier otro paquete que desee instalar. Le aconsejamos descargar al menos kdeutils. </para
></listitem
> </itemizedlist>

<para
>En los casos anteriores, <replaceable
>versión</replaceable
> se debe sustituir por el número de versión actual. Una vez haya descargado todo lo que necesite, descomprima y extraiga estos archivos sobre <filename
>/usr/src</filename
>.  Este proceso debería generar la siguiente estructura de directorios:</para>

<itemizedlist
> <listitem
><para
><filename
>/usr/src/kdesupport</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdelibs</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/kdebase</filename
></para
></listitem
> <listitem
><para
><filename
>/usr/src/...</filename
> (cualquier otro paquete)</para
></listitem
> </itemizedlist>

<para
>Asegurese de que tiene privilegio de escritura en <filename
>/opt/kde</filename
>.</para>

<para
>A continuación debe compilar e instalar los paquetes utilizando lo siguiente: </para>

<procedure
> <step
><para
><command
>cd</command
> en el directorio del paquete, que desea instalar (ver arriba)</para
></step
> <step
><para
><command
>./configure</command
> (con las opciones que desee aplicar)</para
></step
> <step
><para
><command
>make</command
></para
></step
> <step
><para
><command
>make install</command
></para
></step
> </procedure>

<para
>Aplique los pasos anteriores a cada uno de los paquetes que desee instalar</para>

<note
><para
>Estas instrucciones se pueden utilizar para casi cada uno de los paquetes disponibles, no sólo los paquetes KDE. </para
></note>

<para
>Cada procedimiento de configuración tiene varias opciones disponibles. Algunas son comunes mientras otras son específicas de los paquetes individuales. Lo que se muestra a continuación es parte del resultado de <command
>configure <option
>--help</option
></command
> en kdelibs:</para>

<screen>
<computeroutput>
    --disable-fast-perl     deshabilitar generación de Makefile rápidos (necesita perl)
  --enable-debug          crear código de reparación de errores [por defecto=no]
  --enable-strict         compilar con opciones estrictas del compilador (¡puede no funcionar!)
  --enable-profile        crear pérfiles de información [por defecto=no]
  --enable-final          crear applicaciones de tamaño optimizado (experimental - necesita mucha memoria)
  --disable-closure       no retrasar la instanciación de prototipos
  --enable-shared[=PKGS]  crearr librerías compartidas [por defecto=si]
  --enable-static[=PKGS]  crearr librerías estáticas [por defecto=no]
  --enable-fast-install[=PKGS]  optimizar para instalación rápida [por defecto=si]
  --with-gnu-ld           suponer que el compilador C utiliza el ld de GNU [por defecto=no]
  --disable-libtool-lock  evitar cierre (puede romper creación paralela)
  --with-pic              intentar usar sólo objetos PIC/no-PIC [por defecto=utilizar ambos]
  --with-extra-includes=DIR
                         añadir rutas no normalizadas de inclusión
  --with-extra-libs=DIR   añadir rutas no normalizadas para librerías
  --with-qt-dir=DIR       donde está instalada la raíz de Qt
  --with-qt-includes=DIR  donde está los archivos de inclusión de Qt
  --with-qt-libraries=DIR donde está instalada la librería Qt
  --disable-rpath         no utilizar la característica rpath de ld
  --disable-path-check    no tratar de encontrar donde instalar
  --with-xdmdir           si el directorio de configuración de xdm config no se puede encontrar automáticamente
  --with-pam[=ARG]        habilitar soporte para PAM: ARG=[yes|no|service name]
  --with-shadow           si se desea soporte para contraseñas ensombrecidas
  --with-krb4[=PATH]      Compilar con soporte para Kerberos v4.
  --with-afs              Compilar con soporte para AFS (requiere KTH krb4)
  --with-ldap[=PATH]      Compilar con soporte para LDAP.
  --with-samba-libs=path  Utilizar librerías Samba-tng en 'path'       [search]
  --without-gl            deshabilitar modos 3D GL
  --without-xpm           deshabilitar comprobaciones de color de mapas de pixels XPM
  --without-dpms          deshabilitar ahorro de energía DPMS
  --with-x                utilizar el sistema de ventanas X
  --with-motif-includes=DIR    Los archivos de inclusión Motif están en DIR
  --with-motif-libraries=DIR   Las bibliotecas Motif están en DIR                           
</computeroutput>
</screen>

<para
>Algunas opciones no son necesarias y sólo son útiles como rodeos para solucionar problemas conocidos. (<abbrev
>p. ej.</abbrev
><option
>--disable-FEATURE</option
>). Como algunas son opciones importantes, por ejemplo <emphasis
>--with-shadow</emphasis
>, se deberían comprobar siempre las opciones disponibles.</para>

<para
>Una opción importante es <option
>--prefix</option
>. Esta opción sirve para especificar la ruta donde se debería instalar configure (para kdesupport y kdelibs) o donde buscar las librerías (para otros paquetes). Por omisión, configure mirará en <filename
>/opt/kde</filename
>. Si desea instalar KDE en <filename
>/usr/local/kde</filename
>, tiene que usar <command
>configure <option
>--prefix /usr/local/kde</option
></command
>.</para>

<para
>Si ha instalado las bibliotecas Qt en un lugar inusual, por ejemplo en <filename
>$HOME/src/qt</filename
>, debe usar <command
>configure <option
>--with-qt-dir=$HOME/src/qt</option
></command
>. Por omisión configure busca en los lugares más comunes para QT antes de abandonar.</para>

<para
>Si encuentra problemas que no puede resolver, envie una copia del archivo <filename
>config.log</filename
> a la dirección que figura en el archivo <filename
>README</filename
> del paquete problemático.</para>

<para
>La instalación de KDE se debe realizar en el orden siguiente: kdesupport, kdelibs, después los paquetes de aplicaciones (por ejemplo kdebase). Todos los paquetes de aplicaciones deberían depender sólo de kdelibs, de modo que se puedan compilar al mismo tiempo (si dispone de una máquina potente).</para>

<para
>Si quiere aprovechar las ventajas de un sistema multiprocesador, intente <command
>make<option
> -j <replaceable
>Número de procesadores</replaceable
></option
></command
> en lugar de <command
>make</command
>. </para>

<sect2>
<title
>Notas específicas de plataformas </title>

<sect3>
<title
>Linux </title>

<para
>Para Linux, la mayor parte de las utilidades necesarias para construir KDE se pueden encontrar o, bien en <ulink url="ftp://sunsite.unc.edu/pub/Linux/GCC"
>ftp://sunsite.unc.edu/pub/Linux/GCC</ulink
>, o en <ulink url="ftp://sunsite.unc.edu/pub/GNU"
>ftp://sunsite.unc.edu/pub/GNU</ulink
>. Las bibliotecas Qt se pueden encontrar en <ulink url="ftp://ftp.troll.no/pub/qt/linux"
>ftp://ftp.troll.no/pub/qt/linux</ulink
>, disponibles en código fuente o en formato RPM para Linux. Ambas contienen instrucciones detalladas de como instalarlas. Los ficheros de inclusión de los programas X11 deberían estar disponibles en <ulink url="ftp://ftp.xfree86.org"
>ftp://ftp.xfree86.org</ulink
> en la sección xdevel. </para>

</sect3>
</sect2>
</sect1>

<sect1 id="suse-install">
<title
>Cambios requeridos en los archivos de configuración </title>
<para
> Después de haber colocado los binarios de KDE en sus directorios de destino es necesario ajustar algunos de los archivos de comandos de inicio. </para>
<para
> El siguiente procedimiento fue comprobado en SuSE Linux 5.0, y debería ser compatible con otros UNIX conocidos también. <emphasis
>Haga siempre copias de seguridad de los archivos de configuración antes de cambiarlos</emphasis
> Añada lo siguiente al final de su  </para>
<para
> <screen
>export PATH=$PATH:/opt/kde/bin 
export KDEDIR=/opt/kde
</screen
> </para>
<para
>A continuación, edite el archivo .xinitrc en el directorio raíz personal. Busque la línea que llama al administrador de ventanas y reemplazelo por <literal
>startkde</literal
>.</para>
<para
>Ahora que todo lo necesario para ejecutar KDE ha sido instalado, puede pasar al capítulo 4 donde iniciará KDE por primera vez. Si algo va mal puede que necesite compilar por su cuenta KDE. Lea <emphasis
> <link linkend="source-distribution"
>Utilizando TGZ para instalar encima de otros sistemas</link
> </emphasis
>para obtener más información. </para>
<para
>Hemos hecho la instalación lo más robusta posible, de modo que no debería encontrar ningún problema serio a no ser que su configuración sea exótica. Si experimenta dificultades sientase libre de usar <link linkend="mailing-lists"
>los foros de discusión de KDE</link
> </para>
</sect1>
</chapter>

